Package org.apache.maven.scm.command.status

## Class AbstractStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `AbstractCvsStatusCommand`, `BazaarStatusCommand`, `ClearCaseStatusCommand`, `GitStatusCommand`, `HgStatusCommand`, `LocalStatusCommand`, `PerforceStatusCommand`, `StarteamStatusCommand`, `SvnStatusCommand`, `SynergyStatusCommand`, `TfsStatusCommand`

    public abstract class AbstractStatusCommand
    extends AbstractCommand

Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractStatusCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract StatusScmResult` `executeStatusCommand​(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractStatusCommand

    public AbstractStatusCommand()

### Method Detail

#### executeStatusCommand

    protected abstract StatusScmResult executeStatusCommand​(ScmProviderRepository repository,
                                                            ScmFileSet fileSet)
                                                     throws ScmException

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand​(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`